hpp-corbaserver: hpp::Tools Interface Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Public Member Functions | List of all members
hpp::Tools Interface Reference

Utilities to create new contexts and load new interfaces at runtime. More...

`import"/local/robotpkg/var/tmp/robotpkg/path/py-hpp-corbaserver/work/hpp-corbaserver-9.0.2/idl/hpp/corbaserver/tools.idl";`

## Public Member Functions
boolean | loadServerPlugin (in string context_, in string pluginName) raises (Error)
boolean | createContext (in string context_) raises (Error)
Names_t | getContexts () raises (Error)
| List the existing contexts. More...
boolean | deleteContext (in string context_) raises (Error)
Object | getServer (in string context_, in string pluginName, in string objectname) raises (Error)
| Get a server object. More...
void | deleteServant (in string id) raises (Error)
void | deleteAllServants () raises (Error)
Names_t | getAllServants () raises (Error)
void | shutdown ()
| Shutdown the server. More...

## Detailed Description

Utilities to create new contexts and load new interfaces at runtime.

## Member Function Documentation

## ◆ createContext()

boolean hpp::Tools::createContext | ( | in string | context_ | ) |
raises | ( | Error
| ) |  |

Create a new context.

A context is a set of servant classes that works on a ProblemSolver.

All contexts share the same map of ProblemSolver. Each context can whichever ProblemSolver in this map.

## ◆ deleteAllServants()

void hpp::Tools::deleteAllServants | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ deleteContext()

boolean hpp::Tools::deleteContext | ( | in string | context_ | ) |
raises | ( | Error
| ) |  |

Remove a context.

Returns
  True if effectively deleted and False if not found.

## ◆ deleteServant()

void hpp::Tools::deleteServant | ( | in string | id | ) |
raises | ( | Error
| ) |  |

Delete a servant It throws an exception if the object could not be deleted.

## ◆ getAllServants()

Names_t hpp::Tools::getAllServants | ( |  | ) |
raises | ( | Error
| ) |  |

## ◆ getContexts()

Names_t hpp::Tools::getContexts | ( |  | ) |
raises | ( | Error
| ) |  |

List the existing contexts.

## ◆ getServer()

Object hpp::Tools::getServer | ( | in string | context_,
|  | in string | pluginName,
|  | in string | objectname
| ) |  |
raises | ( | Error
| ) |  |

Get a server object.

## ◆ loadServerPlugin()

boolean hpp::Tools::loadServerPlugin | ( | in string | context_,
|  | in string | pluginName
| ) |  |
raises | ( | Error
| ) |  |

Load a plugin that creates a CORBA interface.

Parameters

  pluginName | either an absolute filename or a filename relative to `<a_path_in_LD_LIBRARY_PATH>/hppPlugins`.

Note
  The plugin will be available for any problem (even after resetting it).
  The context is created if it does not exists.

## ◆ shutdown()

void hpp::Tools::shutdown | ( |  | ) |

Shutdown the server.

The documentation for this interface was generated from the following file:

- idl/hpp/corbaserver/tools.idl